Subject: RE: bug#27940: Recursively delete dir34? (yes, no, all, quit)

From: Drew Adams <[email-masked]>
Date: Fri, 4 Aug 2017 09:22:26 -0700 (PDT)

> > Is it a good idea to mix `yes-or-no-p'-style (minibuffer) input,
> > such as `yes' and `no', with `read-char'-style input, such as `!'
> > and `q'?  I don't think so, a priori.  Especially for `!', which
> > has worse repercussions in case of a mistake than does `y'.  No?
> Agreed.  If you see my first answer i was reluctant to allow the dangerous
> operation.
> I will use "all" and "quit" instead of "!", "q".
> 
> * Question:
> Do we need to show the help after this change?

I would say yes, for the help.  Think of `yes-or-no-p'.
If you type `foo' to `yes-or-no-p' it helps you.  Here
we should offer more help, explaining the possibilities.